-- ------------------------------------------------------------------------------
-- File: 	advancedSQLExamples.sql
-- Author:	Chadd Williams
-- Date: 	11/17/2017
-- Class:	CS445
-- Purpose:	Demonstrate View, Trigger, Stored Procedure, Control Flow, and more
-- ------------------------------------------------------------------------------


-- View
CREATE VIEW CS150_VW AS 
SELECT LName, FName, Grade, StudentID
FROM Courses, CurrentlyEnrolled, People
WHERE 
Courses.CourseID=CurrentlyEnrolled.CourseID and 
People.PersonID=StudentID and 
Title like "CS150%";

SELECT * from CS150_VW;

DELETE FROM People WHERE PersonID=5;

SELECT * FROM CS150_VW Order by Grade;

DROP VIEW CS150_VW;


-- Triggers
CREATE TABLE user (
	id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
	first_name CHAR(20),
	last_name CHAR(20),
	email CHAR(100)
) Engine = InnoDB;

-- run triggerExamples.sql

SHOW TRIGGERS;

INSERT INTO user (first_name, last_name, email) VALUES ('John', 'Doe', 'john_doe.example.net');

select * from user;

Drop table user;

