-- ------------------------------------------------------------------------------
-- File: 	triggerExample.sql
-- Author:	Chadd Williams
-- Date: 	11/17/2017
-- Class:	CS445
-- Purpose:	Demonstrate Trigger
-- 			This file is necessary so you can run the entire script at once.
--  		The Delimiter lines are necessary since ; is used in the trigger
-- 			The Delimiter lines are their own statements so this file contains
--          three statements that must be run together
-- ------------------------------------------------------------------------------

-- https://mariadb.com/kb/en/library/trigger-overview/

DELIMITER //
CREATE TRIGGER validateEmail
  BEFORE INSERT ON user
  FOR EACH ROW
BEGIN
  IF NEW.email NOT LIKE '_%@_%.__%' THEN
    SIGNAL SQLSTATE '45000' SET MESSAGE_TEXT = 'Email field is not valid';
  END IF;
END; 
DELIMITER ;
